net.i2p.router.web

## Class ConfigRestartBean

- java.lang.Object
- - net.i2p.router.web.ConfigRestartBean

    public class ConfigRestartBean
    extends Object

simple helper to control restarts/shutdowns in the left hand nav

### Field Summary

Fields
`(package private) static String[]` `SET1` all these are tagged below so no need to _x them here
`(package private) static String[]` `SET2`
`(package private) static String[]` `SET3`
`(package private) static String[]` `SET4`

### Constructor Summary

Constructors
Constructor and Description
`ConfigRestartBean()`

### Method Summary

Methods
`static String` `getNonce()`
`static long` `getRestartTimeRemaining()` this is for summaryframe.jsp
`static String` `renderStatus(String urlBase, String action, String nonce)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SET1

    static final String[] SET1

all these are tagged below so no need to _x them here

#### SET2

    static final String[] SET2

#### SET3

    static final String[] SET3

#### SET4

    static final String[] SET4

### Constructor Detail

#### ConfigRestartBean

    public ConfigRestartBean()

### Method Detail

#### getNonce

    public static String getNonce()

#### renderStatus

    public static String renderStatus(String urlBase,
                      String action,
                      String nonce)

#### getRestartTimeRemaining

    public static long getRestartTimeRemaining()

this is for summaryframe.jsp